#if !defined(__xped2app_h)              // Sentry, use file only if it's not already included.
#define __xped2app_h

/*  Project xped2
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    xped2.exe Application
    FILE:         xped2app.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for XpEd2App (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\statusba.h>
#include <owl\controlb.h>
#include <owl\buttonga.h>
#include <owl\editfile.h>
#include <owl\opensave.h>

#include "xped2app.rh"            // Definition of all resources.


//{{TApplication = XpEd2App}}
class XpEd2App : public TApplication {
private:
    TEditFile *Client;                                 // Client window for the frame.
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

private:
    void SetupSpeedBar (TDecoratedFrame *frame);

public:
    XpEd2App ();
    virtual ~XpEd2App ();

    void OpenFile (const char *fileName = 0);
//{{XpEd2AppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{XpEd2AppVIRTUAL_END}}

//{{XpEd2AppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
    void CmHelpAbout ();
//{{XpEd2AppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(XpEd2App);
};    //{{XpEd2App}}


#endif                                      // __xped2app_h sentry.
